Bug 145377 - Relative symlinks at root confuse gthumb and prevent thumbnails from being generated
Relative symlinks at root confuse gthumb and prevent thumbnails from being ge...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 16:09 EST by Santeri Paavolainen
Modified: 2013-03-13 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-11 16:39:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Santeri Paavolainen 2005-01-17 16:09:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Gthumb gets confused after seeing a relative symlinks at root
directory.  The result is that no thumbnails are shown.

Version-Release number of selected component (if applicable):
gthumb-2.4.2-5

How reproducible:
Always

Steps to Reproduce:
1. Create a symlink at root directory: 
   # cd /; ln -s tmp t
2. Copy some image files to /tmp
3. Run gthumb at the symlinked directory: 
   $ cd /t; gthumb $PWD
    

Actual Results:  No thumbnails for any of the images in /t (/tmp) are
shown and the following messages are printed:

** (gthumb:9020): WARNING **: Too many links


(gthumb:9020): GLib-GObject-WARNING **: gsignal.c:2309: signal name
`error' is invalid for instance `0x81d37a8'


Expected Results:  Thumbnails are generated and shown in the gthumb
file browser.

Additional info:
Comment 1 John (J5) Palmieri 2005-03-11 16:39:30 EST
This needs to be fixed upstream

Note You need to log in before you can comment on or make changes to this bug.